org.jboss.resteasy.springmvc.tjws

## Class TJWSSpringMVCDispatcher

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - org.springframework.web.servlet.HttpServletBean
      - - org.springframework.web.servlet.FrameworkServlet
        - - org.springframework.web.servlet.DispatcherServlet
          - - org.jboss.resteasy.springmvc.tjws.TJWSSpringMVCDispatcher

- All Implemented Interfaces:
    Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

      public class TJWSSpringMVCDispatcher
      extends org.springframework.web.servlet.DispatcherServlet

  Version:
    $Revision: 1 $
  Author:
    Solomn Duskis
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.springframework.web.servlet.DispatcherServlet

      `HANDLER_ADAPTER_BEAN_NAME, HANDLER_EXCEPTION_RESOLVER_BEAN_NAME, HANDLER_MAPPING_BEAN_NAME, LOCALE_RESOLVER_ATTRIBUTE, LOCALE_RESOLVER_BEAN_NAME, MULTIPART_RESOLVER_BEAN_NAME, PAGE_NOT_FOUND_LOG_CATEGORY, pageNotFoundLogger, REQUEST_TO_VIEW_NAME_TRANSLATOR_BEAN_NAME, THEME_RESOLVER_ATTRIBUTE, THEME_RESOLVER_BEAN_NAME, THEME_SOURCE_ATTRIBUTE, VIEW_RESOLVER_BEAN_NAME, WEB_APPLICATION_CONTEXT_ATTRIBUTE`

    - ### Fields inherited from class org.springframework.web.servlet.FrameworkServlet

      `DEFAULT_CONTEXT_CLASS, DEFAULT_NAMESPACE_SUFFIX, SERVLET_CONTEXT_PREFIX`

    - ### Fields inherited from class org.springframework.web.servlet.HttpServletBean

      `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TJWSSpringMVCDispatcher()`
    `TJWSSpringMVCDispatcher(SecurityDomain domain)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doService(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
    `void` | `setContextPath(String contextPath)`
    `void` | `setSecurityDomain(SecurityDomain domain)`

    - ### Methods inherited from class org.springframework.web.servlet.DispatcherServlet

      `buildLocaleContext, checkMultipart, cleanupMultipart, createDefaultStrategy, doDispatch, getDefaultStrategies, getDefaultStrategy, getDefaultViewName, getHandler, getHandler, getHandlerAdapter, getMultipartResolver, getThemeSource, initStrategies, noHandlerFound, onRefresh, processHandlerException, render, resolveViewName, setCleanupAfterInclude, setDetectAllHandlerAdapters, setDetectAllHandlerExceptionResolvers, setDetectAllHandlerMappings, setDetectAllViewResolvers`

    - ### Methods inherited from class org.springframework.web.servlet.FrameworkServlet

      `createWebApplicationContext, createWebApplicationContext, destroy, doDelete, doGet, doOptions, doPost, doPut, doTrace, findWebApplicationContext, getContextAttribute, getContextClass, getContextConfigLocation, getContextId, getNamespace, getServletContextAttributeName, getUsernameForRequest, getWebApplicationContext, initFrameworkServlet, initServletBean, initWebApplicationContext, onApplicationEvent, postProcessWebApplicationContext, processRequest, refresh, setContextAttribute, setContextClass, setContextConfigLocation, setContextId, setDispatchOptionsRequest, setDispatchTraceRequest, setNamespace, setPublishContext, setPublishEvents, setThreadContextInheritable`

    - ### Methods inherited from class org.springframework.web.servlet.HttpServletBean

      `addRequiredProperty, getServletContext, getServletName, init, initBeanWrapper`

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doHead, getLastModified, service, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `getInitParameter, getInitParameterNames, getServletConfig, getServletInfo, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TJWSSpringMVCDispatcher

          public TJWSSpringMVCDispatcher()

    - #### TJWSSpringMVCDispatcher

          public TJWSSpringMVCDispatcher(SecurityDomain domain)

  - ### Method Detail

    - #### setContextPath

          public void setContextPath(String contextPath)

    - #### setSecurityDomain

          public void setSecurityDomain(SecurityDomain domain)

    - #### doService

          protected void doService(javax.servlet.http.HttpServletRequest request,
                       javax.servlet.http.HttpServletResponse response)
                            throws Exception

      Overrides:
        `doService` in class `org.springframework.web.servlet.DispatcherServlet`
      Throws:
        `Exception`

Copyright © 2014. All Rights Reserved.